### Method

# Gtk EntryCompletionget_completion_prefix

deprecated: 4.10

#### Declaration [src]

    const char*
    gtk_entry_completion_get_completion_prefix (
      GtkEntryCompletion* completion
    )

#### Description [src]

Get the original text entered by the user that triggered the completion or `NULL` if there’s no completion ongoing.

Deprecated since: 4.10

GtkEntryCompletion will be removed in GTK 5.

#### Return value

Type: `const char*`

The prefix for the current completion.

The data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.